> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Get origins of leads

GET https://demo.rooms.docusign.com/restapi/v2/origins_of_leads

Returns a list of origins of leads (such as Trulia or Zillow) that you can specify for rooms.

## Permissions

Anyone with a valid access token can call this method.

Reference: https://developers.docusign.com/docs/rooms-api/reference/globalresources/originsofleads/getoriginsofleads

## Authentication

- `Authorization` header (required) — JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer \{token}"

## Servers

- `https://demo.rooms.docusign.com/restapi` (Demo, default)
- `https://rooms.docusign.com/restapi` (Production)

## Response

### 200

Request was successful.

- `originsOfLeads` (list of OriginOfLead, optional) — A list of origins of leads.

## Errors

### 400 Bad Request Error

Bad request. See ErrorCode and Message for details

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.
- `referenceId` (string, optional)

### 401 Unauthorized Error

Not authorized to make this request.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.
- `referenceId` (string, optional)

## Types

### OriginOfLead

Contains information about an origin of lead.

- `originOfLeadId` (string, optional) — The ID of the origin of lead. Example: `tru` (for `Trulia`)
- `name` (string, optional) — The name of the origin of lead. Possible values are: - `Realtor.com` - `Trulia` - `Zillow` - `Company Website` - `Agent Website` - `Other Online` - `Mobile App` - `Social Media` - `Personal Referral` - `Company Referral` - `Repeat Client` - `Corporate Relocation` - `Print Marketing` - `Prospecting` - `Other` - `REO (Real Estate Owned)`

## Examples

**Response**

```json
{
  "originsOfLeads": [
    {
      "originOfLeadId": "string",
      "name": "string"
    }
  ]
}
```